interface ScanOptions {
    checkUrl?: {
        keys?: boolean;
        values?: boolean;
        detectSentences?: boolean;
        detectReservedWords?: boolean;
    };
    checkBody?: {
        keys?: boolean;
        values?: boolean;
        detectSentences?: boolean;
        detectReservedWords?: boolean;
    };
    checkHeaders?: {
        keys?: boolean;
        values?: boolean;
        detectSentences?: boolean;
        detectReservedWords?: boolean;
    };
    checkFormData?: {
        keys?: boolean;
        values?: boolean;
        detectSentences?: boolean;
        detectReservedWords?: boolean;
    };
    checkCookies?: {
        keys?: boolean;
        values?: boolean;
        detectSentences?: boolean;
        detectReservedWords?: boolean;
    };
}
export declare function scanRequest(url?: string, body?: any, headers?: Record<string, string>, formData?: FormData, cookies?: Record<string, string>, options?: ScanOptions): string[];
export {};
